
GammaLib - Feature #591

Investigate how GammaLib can be made VO compliant.

11/14/2012 10:13 AM - Knödlseder Jürgen

Status: In Progress Start date: 02/20/2013

Priority: Urgent Due date: 03/29/2015

Assigned To:  % Done: 76%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Ultimately, GammaLib should be VO compliant.

It should be possible to access event data through a VO compliant interface. Also observations should be defined in a VO compliant

format.

GammaLib results, such as images, spectra, should also be VO compliant. For example, it should be possible to visualize spectra

using VOspec.

An investigation should be conducted on how VO compliance can be achieved. An inventory of tools and interfaces is needed, to

define what exactly should be implemented.

Subtasks:

Action # 780: Display skymap using Aladdin Closed

Action # 781: Design SAMP usage in GammaLib Closed

Action # 1170: Add object to coordinate transformation using VO services to GSkyDir New

Action # 1229: Design and implement GVOHub class Closed

Action # 1231: Design and implement GVOTable class In Progress

History

#1 - 11/14/2012 10:16 AM - Knödlseder Jürgen

- Description updated

#2 - 02/20/2013 11:29 AM - Knödlseder Jürgen

A possible Use Case to start with would be the display of a skymap by Aladdin using the SAMP protocol. Aladdin can be used as a FITS map display

tool using the SAMP protocol. Expertise on this topic exists apparently at the CDPP (IRAP).

#3 - 03/11/2013 10:31 PM - Knödlseder Jürgen

We need first an implementation of the XML RPC protocol: http://en.wikipedia.org/wiki/XML-RPC. See further: http://xmlrpc.scripting.com/.

Here some links about sending http information:

http://www.dreamincode.net/forums/topic/29771-http-sockets-with-recv/

http://coding.debuntu.org/c-linux-socket-programming-tcp-simple-http-client

http://beej.us/guide/bgnet/

http://www.linuxhowtos.org/C_C++/socket.htm

And in particular: http://www.tldp.org/HOWTO/XML-RPC-HOWTO/xmlrpc-howto-c.html

#4 - 03/12/2013 10:00 AM - Knödlseder Jürgen
- Target version set to 00-08-00

#5 - 03/12/2013 10:00 AM - Knödlseder Jürgen

- Status changed from New to In Progress

Started to implement VO module.

#6 - 12/10/2013 12:17 AM - Knödlseder Jürgen

- Target version deleted (00-08-00)

#7 - 12/11/2014 10:47 PM - Knödlseder Jürgen

- Due date set to 06/20/2014

due to changes in a related task

#8 - 12/11/2014 10:48 PM - Knödlseder Jürgen

- Due date set to 01/01/2015

due to changes in a related task

#9 - 12/11/2014 10:48 PM - Knödlseder Jürgen

- Due date changed from 12/31/2014 to 01/01/2015

due to changes in a related task

#10 - 12/11/2014 10:48 PM - Knödlseder Jürgen

- Due date changed from 12/31/2014 to 02/27/2015

due to changes in a related task

#11 - 12/12/2014 12:30 PM - Knödlseder Jürgen

- Due date changed from 02/27/2015 to 03/29/2015

due to changes in a related task
